
.wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100vh;
}

.error {
    color: red;
}

.duplication {
    background-color: yellow;
}

.reservation-user {
    border: 1px solid var(--theme-color);
    border-radius: 0.25rem;
    padding: 1rem;
    width: fit-content;
}

.data-table thead th {
    text-align: left;
}

.data-table tbody td {
  padding: 0.5rem 0;
  border-top: 1px solid #ccc;
}


/* オーバーレイとして画面全体を覆うインジケータ */
.htmx-indicator {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;

  background: rgba(0, 0, 0, 0.4); /* ← 画面を暗くする */

  z-index: 9999;

  opacity: 0; /* 初期は非表示 */
  pointer-events: none;
  transition: opacity 0.2s;
}

/* htmx が .htmx-request を付けたときに表示 */
.htmx-indicator.htmx-request {
  opacity: 1;
  pointer-events: all; /* 背景をクリック不可にする */
}

/* スピナー画像のスタイル */
.spinner {
  width: 80px;
  height: 80px;
}

/* ロゴ */
.logo {
    font-size: 24px;
    text-decoration: none;
    transition: 0.3s;
    color: black;
    font-weight: bold;
    letter-spacing: 1px;
}
.logo:hover {
    text-decoration: none;
    color: rgb(255, 168, 68);
}

/* 以下、モーダル */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.modal.show {
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-content {
  background: white;
  border-radius: 8px;
  padding: 3rem;
  max-height: 90vh;
  overflow: auto;
}

.event-add-modal {
  max-width: 60rem;
  padding-top: 0;
}

#user-add-area {
    width: 40rem;
}

/* 以上、モーダル */


/* 以下、ボタン */
.btn {
    display: inline-block;
    font-weight: 500;
    padding: 0.5rem 1rem;
    border: 2px solid transparent;
    border-radius: 0.25rem;
    text-align: center;
    cursor: pointer;
        text-decoration: none;
        font-size: small;
}

.btn:hover {
    background-color: #0056b3;
    color: white;
    text-decoration: none;
}

.btn-primary {
  background-color: #007BFF; /* ブルー */
  color: #fff;
}

.btn-primary:hover {
  background-color: #0069D9; /* 少し濃いブルー */
}

.btn-outline-primary {
  background-color: #fff;
  color: #007BFF;
  border-color: #007BFF;
}
.btn-outline-primary:hover {
  background-color: #007BFF;
  color: #fff;
}


.btn-danger {
  background-color: #DC3545; /* レッド */
  color: #fff;
}

.btn-danger:hover {
  background-color: #C82333;
}

.btn-outline-danger {
  background-color: #fff;
  color: #DC3545;
  border-color: #DC3545;
}

.btn-outline-danger:hover {
  background-color: #DC3545;
  color: #fff;
}

.btn-warning {
  background-color: #FFC107; /* イエロー */
  color: #212529;
}

.btn-warning:hover {
  background-color: #E0A800;
}

.btn-outline-warning {
  background-color: #fff;
  color: #FFC107;
  border-color: #FFC107;
}

.btn-outline-warning:hover {
  background-color: #FFC107;
  color: #212529;
}

.btn-info {
  background-color: #17A2B8; /* シアン */
  color: #fff;
}

.btn-info:hover {
  background-color: #138496;
}

.btn-outline-info {
  background-color: #fff;
  color: #17A2B8;
  border-color: #17A2B8;
}

.btn-outline-info:hover {
  background-color: #17A2B8;
  color: #fff;
}

.btn-secondary {
  background-color: #6C757D; /* グレー */
  color: #fff;
}

.btn-secondary:hover {
  background-color: #5A6268;
}

.btn-outline-secondary {
  background-color: #fff;
  color: #6C757D;
  border-color: #6C757D;
}

.btn-outline-secondary:hover {
  background-color: #6C757D;
  color: #fff;
}
/* 以上、ボタン */

/* 以下、イベントステータス */
.guide, .event {
    color: white;
    border: 1px solid;
    border-radius: 5px;
    text-align: center;
    display: block;
    text-decoration: none;
    background-color: #aaa;
}

.events-status .guide {
    font-size: 14px;
    padding: 2px 5px;
}


.event-status span {
    display: inline-block;
    width: fit-content;
    padding: 2px 5px;
    font-size: 12px;
}

.vacant {
    background-color: var(--vacant-color);
}
.vacant:hover {
    background-color: var(--vacant-hover-color);
}
.few_remains {
    background-color: #FFCC33;
}
.few_remains:hover {
    background-color: #ffcc33c5;
}
.waiting_list {
    background-color: #FF367F;
}
.waiting_list:hover {
    background-color: #ff3680c5;
}
.not_reservation {
    background-color: #87CEEB;
}
.reserved {
    background-color: #007bff;
}
.reserved_waiting_list {
    background-color: #DE5021;
}
/* 以上、イベントステータス */

.sales-table th, .sales-table td {
    padding: 0.5rem;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

box-l.login-box, box-l.companion-box, box-l.completed-box, box-l.account-box {
    border-color: #ccc;
    border-radius: 5px;
}

.required::after {
    content: "*";
    color: red;
}

.user-detail-table {
    width: 100%;
    border-collapse: collapse;
}
.user-detail-table th, .user-detail-table td {
    padding: 0.5rem;
    border: 1px solid #ddd;
}



.password-field {
  position: relative;
}

.password-field input {
  width: 100%;
  padding-right: 2.5rem;
  box-sizing: border-box;
}

.password-field button {
  position: absolute;
  top: 50%;
  right: 0.5rem;
  transform: translateY(-50%);
  border: none;
  background: none;
  cursor: pointer;
}

.password-field button {
  color: #666;
}

.password-field input:focus + button {
  color: #000;
}

.icon {
  width: 1.25rem;
  height: 1.25rem;
}

/* 初期：passwordなので「eye」表示、「eye-off」は隠す */
.icon-eyeoff { display: none; }

/* data-visible="true" のときは逆にする */
.toggle[data-visible="true"] .icon-eye { display: none; }
.toggle[data-visible="true"] .icon-eyeoff { display: block; }


/* ヘッダー関連 */

.account-menu {
    font-size: 0.8rem;
}

ul.user-menu{
    display: block;
    position: absolute;
    top: 40px;
    background-color: white;
    list-style: none;
    padding: 8px;
    margin: 8px;
    right: 100px;
    border: 1px solid #DE5021;
    border-radius: 5px;
}

ul.user-menu li {
     padding: 0.5rem;
}

#user-icon {
    cursor: pointer;
}

/****** ここからカレンダー用 ******/

.calendar table {
    border-spacing: 0;
    table-layout: fixed;
    width: 100%;
}

.calendar table tr {
    height: 75px;
}

.calendar table tr th,
.calendar table tr td {
    border: 1px solid #CCC;
}

.calendar table tr th {
    text-align: center;
}

table table tr td {
    padding: 3px 5px;
}

.calendar table tr .blank {
    background-color: #EEE;
}

.calendar table tr td.day {
    height: 80px;
    overflow-y: scroll;
    font-size: 12px;
    vertical-align: top;
    min-width: 100px;
}

.event:hover {
    color: white;
}

.sunday {
    background-color: #FFD5EC;
}

.saturday {
    background-color: #D9E5FF;
}

.calendar table tr.month-row, .calendar table tr.weekTit {
    height: fit-content;
}

.calendar table tr.month-row td {
    border-top: none;
    border-left: none;
    border-right: none;
}

 /* カレンダーのスクロールバー非表示 */
.day {
    -ms-overflow-style: none;    /* IE, Edge 対応 */
    scrollbar-width: none;       /* Firefox 対応 */
}
.day::-webkit-scrollbar {
    display:none;   /* Chrome, Safari 対応 */
}
a.link, .nolink{
    font-size: 15px;
    font-weight: 600;
    height: 22px;
    width: 22px;
    display:block
}
.nolink{
    opacity: 0.6;
}
/****** ここまでカレンダー ******/

table.event-list {
    border-spacing: 0;
}

table.event-list tr th,
table.event-list tr td {
    border: 1px solid #CCC;
    padding: 0.5rem;
}

